Bug 880849 - mockchain addrepo creates bad repo id
Summary: mockchain addrepo creates bad repo id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 22:12 UTC by Tim Woods
Modified: 2013-03-23 23:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 22:44:13 UTC
Type: Bug


Attachments (Terms of Use)
[PATCH] Fix mockchain repo id calculation (969 bytes, patch)
2012-11-27 22:32 UTC, Tim Woods
no flags Details | Diff

Description Tim Woods 2012-11-27 22:12:24 UTC
Description of problem:
Using the addrepo (-a) option of mockchain with a slash (/) in the path will cause a "Bad id for repo" message to appear in the root.log file.  If there are required dependencies in the additional repository, they will not be found and the build will fail.


Version-Release number of selected component (if applicable):
1.1.26-2


How reproducible:
always


Steps to Reproduce:
1. Create a source RPM that has dependencies not found in the standard
   repositories.
2. Create a yum repository with the non-standard dependencies:
   createrepo /home/build/myrepo
3. Attempt to build a package that requires dependencies from myrepo:
   mockchain -r fedora-17-i386 -l output -a file:///home/build/myrepo \
   mypackage-1.0-1.src.rpm

  
Actual results:
mockchain fails to install dependencies from the specified addition repository.  In the output/results/fedora-17-i386/mypackage-1.0-1/root.log file, the following error message appears:
DEBUG util.py:258:  Bad id for repo: ,home,build,myrepo


Expected results:
mockchain finds and installs the dependencies in myrepo before attempting to build mypackage.

Comment 1 Tim Woods 2012-11-27 22:32:38 UTC
Created attachment 653167 [details]
[PATCH] Fix mockchain repo id calculation

The attached patch uses an underscore (_) instead of a comma (,) for the repo id separator replacement.

Comment 2 Clark Williams 2012-11-28 16:12:08 UTC
Applied and queued for next release

Comment 3 Fedora Update System 2013-02-26 22:17:24 UTC
mock-1.1.29-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.29-1.fc17

Comment 4 Fedora Update System 2013-02-26 22:17:54 UTC
mock-1.1.29-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.29-1.el6

Comment 5 Fedora Update System 2013-02-26 22:18:27 UTC
mock-1.1.29-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.29-1.fc18

Comment 6 Fedora Update System 2013-02-27 18:04:36 UTC
Package mock-1.1.29-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.29-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0476/mock-1.1.29-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-03-04 22:44:15 UTC
mock-1.1.29-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-03-23 23:55:13 UTC
mock-1.1.29-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.